#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: storablevector
version: 0.2.13
id: storablevector-0.2.13-Cdwo5PQUwLhHYACLHkX9UY
key: storablevector-0.2.13-Cdwo5PQUwLhHYACLHkX9UY
license: BSD-3-Clause
maintainer: Henning Thielemann <storablevector@henning-thielemann.de>
author: Spencer Janssen <sjanssen@cse.unl.edu>, Henning Thielemann <storablevector@henning-thielemann.de>
stability: Experimental
homepage: http://www.haskell.org/haskellwiki/Storable_Vector
synopsis: Fast, packed, strict storable arrays with a list interface like ByteString
description:
    Fast, packed, strict storable arrays
    with a list interface,
    a chunky lazy list interface with variable chunk size
    and an interface for write access via the @ST@ monad.
    This is much like @bytestring@ and @binary@
    but can be used for every '\''Foreign.Storable.Storable'\'' type.
    See also package
    <http://hackage.haskell.org/package/vector>
    with a similar intention.
    .
    We do not provide advanced fusion optimization,
    since especially for lazy vectors
    this would either be incorrect or not applicable.
    However we provide fusion with lazy lists in the package
    <http://hackage.haskell.org/package/storablevector-streamfusion>.
category: Data
abi: 75c5b946a232c529c4bd4fbb9c24497d
exposed: True
exposed-modules:
    Data.StorableVector Data.StorableVector.Base
    Data.StorableVector.Lazy Data.StorableVector.Lazy.Builder
    Data.StorableVector.Lazy.Pattern Data.StorableVector.Lazy.Pointer
    Data.StorableVector.Lazy.Typed Data.StorableVector.Pointer
    Data.StorableVector.ST.Lazy Data.StorableVector.ST.Strict
hidden-modules: Data.StorableVector.Memory
                Data.StorableVector.ST.Private
                Data.StorableVector.Lazy.PointerPrivate
                Data.StorableVector.Lazy.PointerPrivateIndex
                Data.StorableVector.Cursor
import-dirs: /usr/lib/ghc-8.4.2/site-local/storablevector-0.2.13
library-dirs: /usr/lib/ghc-8.4.2/site-local/storablevector-0.2.13
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.4.2/storablevector-0.2.13
hs-libraries: HSstorablevector-0.2.13-Cdwo5PQUwLhHYACLHkX9UY
depends:
    non-negative-0.1.2-6U9lrly4BunGPtdZnLSwcy
    utility-ht-0.0.14-CqclJgoUReM5xZSC1dChOW transformers-0.5.5.0
    semigroups-0.18.4-8TzSEFpYt1WDcfY361NEhv deepseq-1.4.3.0
    unsafe-0.0-GMfN8SJyoiBOcfugVwnQq
    QuickCheck-2.11.3-4bkq8vcRuH33iMSCEtmKx6 base-4.11.1.0
    syb-0.7-2jW43lwzJV5e7EQvU8PxV
abi-depends: non-negative-0.1.2-6U9lrly4BunGPtdZnLSwcy=8624453cc9111872f30fb90c66ed9057
             utility-ht-0.0.14-CqclJgoUReM5xZSC1dChOW=01882dd84317759c82599f3c49dc23bd
             transformers-0.5.5.0=02be5c4dc3fdc926cf1b36bd484a25f8
             semigroups-0.18.4-8TzSEFpYt1WDcfY361NEhv=de35bd6c21af2947fea51000f88c89bb
             deepseq-1.4.3.0=521dff49867cc7581bb7066827d3f18e
             unsafe-0.0-GMfN8SJyoiBOcfugVwnQq=a286972dbf758f54de090381077e2551
             QuickCheck-2.11.3-4bkq8vcRuH33iMSCEtmKx6=329f1c9cae18d78e8febe9289607fdb9
             base-4.11.1.0=ecd125f03c784a67b61c9a8f6dd222e4
             syb-0.7-2jW43lwzJV5e7EQvU8PxV=8c8a6a5165e3238217c6cf4f5b6db1bc
haddock-interfaces: /usr/share/doc/haskell-storablevector/html/storablevector.haddock
haddock-html: /usr/share/doc/haskell-storablevector/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

